<?xml version="1.0" encoding="utf-8"?>
<Project>
  <Choose>
    <!-- net -->
    <When Condition="'$(TargetFramework)' == 'net6.0'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.1.3"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>

    <!-- netstandard -->
    <When Condition="'$(TargetFramework)' == 'netstandard2.1'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="2.1.7"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netstandard2.0'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="2.1.7"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netstandard1.6'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netstandard1.5'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netstandard1.4'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netstandard1.3'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netstandard1.2'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netstandard1.1'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netstandard1.0'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>

    <!-- netcoreapp -->
    <When Condition="'$(TargetFramework)' == 'netcoreapp3.1'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="4.0.5"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netcoreapp3.1'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="3.1.5"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netcoreapp2.2'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="3.1.5"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netcoreapp2.1'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="2.1.7"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netcoreapp1.1'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'netcoreapp1.0'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>

    <!-- netframework -->
    <When Condition="'$(TargetFramework)' == 'net481'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.1.3"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net48'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.1.3"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net472'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.1.3"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net471'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.1.3"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net47'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.1.3"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net463'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.1.3"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net462'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.1.3"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net461'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="3.1.5"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net46'">
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="2.1.7"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net452'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net451'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net45'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net40'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net403'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net35'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net30'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>
    <When Condition="'$(TargetFramework)' == 'net20'">
      <ItemGroup>
        <PackageReference Remove="Microsoft.Data.SqlClient" />
      </ItemGroup>
    </When>

    <Otherwise>
      <ItemGroup>
        <PackageReference Update="Microsoft.Data.SqlClient" Version="5.2.0"  Condition=" '$(OutputType)' != 'Library' " />
        <PackageReference Update="Microsoft.Data.SqlClient" Version="2.1.7"  Condition=" '$(OutputType)' == 'Library' " />
      </ItemGroup>
    </Otherwise>
  </Choose>
</Project>